/* Reset */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: sans-serif;
}

/* Body */
body {
  min-height: 100vh; /* 🔥 به جای height */
  display: flex;
  align-items: center;
  justify-content: center;
  background: linear-gradient(135deg, #0f2027, #203a43, #2c5364);
  color: white;
  position: relative;
  padding-top: env(safe-area-inset-top);
}

html {
  background: #0f2027;
}

/* Container */
.container {
  width: 100%;
  max-width: 900px; /* 🔥 خیلی مهم */
  padding: 20px;
  display: flex;
  justify-content: center;
}

/* Glass Card */
.glass {
  width: 100%;
  max-width: 400px;
  padding: 40px 25px;
  border-radius: 20px;
  text-align: center;

  background: rgba(255, 255, 255, 0.08);
  backdrop-filter: blur(20px);

  box-shadow: 0 10px 40px rgba(0, 0, 0, 0.3);
}

/* Title */
.glass h1 {
  font-size: 28px;
  margin-bottom: 8px;
}

/* Subtitle */
.subtitle {
  font-size: 14px;
  opacity: 0.7;
}

/* Divider */
.divider {
  width: 60px;
  height: 4px;
  margin: 20px auto;
  border-radius: 10px;
  background: linear-gradient(90deg, #00ff87, #60efff);
}

/* Description */
.desc {
  margin-top: 10px;
  font-size: 14px;
  opacity: 0.85;
  line-height: 1.6;
}

/* Button */
.btn {
  display: inline-block;
  margin-top: 30px;
  padding: 14px 30px;
  border-radius: 12px;
  text-decoration: none;
  font-weight: bold;

  color: #0f2027;
  background: linear-gradient(135deg, #00ff87, #60efff);

  transition: all 0.25s ease;
}

/* Button Hover (حرفه‌ای‌تر) */
.btn:hover {
  transform: translateY(-3px);
  box-shadow: 0 10px 25px rgba(0, 255, 135, 0.35);
}

/* Language Switch */
.lang-top {
  position: absolute;
  top: 20px;
  right: 20px;
  display: flex;
  gap: 8px;
}

/* Language Buttons */
.lang-pill {
  padding: 6px 12px;
  border-radius: 20px;
  font-size: 12px;
  cursor: pointer;

  border: none;
  color: white;

  background: rgba(255, 255, 255, 0.08);
  backdrop-filter: blur(10px);

  border: 1px solid rgba(0, 255, 135, 0.2);

  transition: all 0.25s ease;
}

/* Active */
.lang-pill.active {
  background: linear-gradient(135deg, #00ff87, #60efff);
  color: #0f2027;
  font-weight: bold;
}

/* Hover */
.lang-pill:hover {
  transform: translateY(-2px);
  box-shadow: 0 5px 12px rgba(0,255,135,0.3);
}